Update
curl --request PUT \
--url https://api-staging.genuka.com/2023-11/admin/shops/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "La Mater Market - Yaoundé"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/shops/{id}"
payload = { "name": "La Mater Market - Yaoundé" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'La Mater Market - Yaoundé'})
};
fetch('https://api-staging.genuka.com/2023-11/admin/shops/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-10T15:17:48.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "C'est la boutique de Douala",
"domains": [],
"id": "01k77b674gsqhykmbfp5hn1n7a",
"logo": null,
"logoUrl": "",
"metadata": null,
"name": "La Mater Market - Yaoundé",
"slug": "la-mater-market-yaounde",
"updated_at": "2025-10-10T15:18:58.000000Z",
"warehouses": []
}Shops
Update shop
Updates the details of an existing shop identified by its unique ID. This endpoint allows modifying information such as the shop name, address, contact details, or configuration settings. It returns the updated shop data upon success.
PUT
/
2023-11
/
admin
/
shops
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Example:
"La Mater Market - Yaoundé"
Response
200 - application/json
200
Example:
"01hqydxwtxdj3kmzp3bz7jk73g"
Example:
"2025-10-10T15:17:48.000000Z"
Example:
"XAF"
Example:
"C'est la boutique de Douala"
Example:
[]
Example:
"01k77b674gsqhykmbfp5hn1n7a"
Example:
""
Example:
"La Mater Market - Yaoundé"
Example:
"la-mater-market-yaounde"
Example:
"2025-10-10T15:18:58.000000Z"
Example:
[]
